%global veryear 2006
%global vermonth  05
%global verday    10
%global momorel    2

Summary: XEmacs-sumo - The Sumo Tarball
Name: xemacs-sumo
Version: %{veryear}.%{vermonth}.%{verday}
Release: %{momorel}m
License: GPL
Group: Applications/Editors
#Source0: ftp://ftp.ring.gr.jp/pub/text/xemacs/packages/xemacs-mule-sumo-%{veryear}-%{vermonth}-%{verday}.tar.bz2
Source0: ftp://ftp.xemacs.org/pub/xemacs/packages/xemacs-mule-sumo-%{veryear}-%{vermonth}-%{verday}.tar.bz2
NoSource: 0
#Source1: ftp://ftp.ring.gr.jp/pub/text/xemacs/packages/xemacs-sumo-%{veryear}-%{vermonth}-%{verday}.tar.bz2
Source1: ftp://ftp.xemacs.org/pub/xemacs/packages/xemacs-sumo-%{veryear}-%{vermonth}-%{verday}.tar.bz2
NoSource: 1
Source2: Emacs.C
Source3: Emacs.de
Source4: Emacs.ja
Patch0: xemacs-perlpath.patch
Patch1: edit-utils_lazy-lock.patch
Patch2: mail-lib_browse-url.patch
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: xemacs
Requires: xemacs

%description
The Sumo Tarball, that is included all elisp packages for XEmacs.

%prep
%setup -q -c -n xemacs-sumo -a 1
%patch0 -p0
%patch1 -p0
%patch2 -p0

rm -rf %{buildroot}

%build
XP=xemacs-packages
MP=mule-packages
mkdir -p $MP/etc/app-defaults/C
install -m 644 %{SOURCE2} $MP/etc/app-defaults/C/Emacs
install -m 644 %{SOURCE3} $MP/etc/app-defaults/de/Emacs
install -m 644 %{SOURCE4} $MP/etc/app-defaults/ja/Emacs

# remove apel
rm -rf $XP/lisp/apel $XP/pkginfo/MANIFEST.apel

# remove eicq
rm -rf $XP/lisp/eicq $XP/etc/eicq
rm -f $XP/info/eicq.info
rm -f $XP/man/eicq.texi
rm -f $XP/lib-src/eicq-user-install.sh $XP/lib-src/udp2tcp
rm -f $XP/pkginfo/MANIFEST.eicq

# remove mew
rm -rf $XP/lisp/mew $XP/info/mew*.info* $XP/man/mew $XP/etc/mew
rm -f $XP/pkginfo/MANIFEST.mew

# remove rmail
rm -rf $XP/lisp/rmail  $XP/man/rmail
rm -f $XP/info/rmail.info
rm -f $XP/etc/./BABYL
rm -f $XP/pkginfo/MANIFEST.rmail

# remove tm
rm -rf $XP/lisp/tm $XP/man/tm
rm -f $XP/info/gnus-mime-en.info
rm -f $XP/info/gnus-mime-ja.info
rm -f $XP/info/tm* $XP/lib-src/pstogif $XP/lib-src/tm*
rm -f $XP/pkginfo/MANIFEST.tm

# remove skk
rm -rf $MP/lisp/skk $MP/info/skk.* $MP/man/skk $MP/etc/skk
rm -f $MP/pkginfo/MANIFEST.skk

# remove lookup
rm -rf $MP/lisp/lookup $MP/man/lookup $MP/info/lookup.*
rm -f $MP/pkginfo/MANIFEST.lookup

# remove auctex
rm -rf $XP/lisp/auctex
rm -f $XP/info/auctex*
rm -rf $XP/man/auctex*
rm -rf $XP/etc/auctex*
rm -f $XP/pkginfo/MANIFEST.auctex

# remove gnus
rm -rf $XP/lisp/gnus
rm -f $XP/info/emacs-mime.info $XP/info/gnus.info* $XP/info/message.info
rm -rf $XP/man/gnus*
rm -rf $XP/etc/gnus* $XP/etc/smilies/ $XP/etc/message
rm -rf $XP/etc/sounds/{Boring.au,Evil_Laugh.au,Puke.au,Snicker.au, \
       Tuxedomoon.Jingle4.au,catmeow.wav,cry.wav,drumroll.au,explosion.au, \
       flush.au,kiss.wav,laugh.au,shotgun.wav,snore.wav,whistle.au, \
       witch.au,yell2.au}
rm -f $XP/pkginfo/MANIFEST.gnus

# remove liece
rm -rf $XP/etc/liece
rm -f $XP/info/liece*
rm -rf $XP/lisp/liece
rm -rf $XP/man/liece
rm -f $XP/pkginfo/MANIFEST.liece

# remove riece
rm -f $XP/info/riece*
rm -rf $XP/lisp/riece
rm -rf $XP/man/riece
rm -f $XP/pkginfo/MANIFEST.riece

#remove mule-ucs
rm -rf $MP/etc/mule-ucs
rm -rf $MP/lisp/mule-ucs
rm -f $MP/info/mule-ucs.info
rm -rf $MP/man/mule-ucs
rm -f $MP/pkginfo/MANIFEST.mule-ucs

#remove jde/debugger stop make dependency for perl(suspendCount)
#find ./xemacs-packages/etc/jde/java/src/jde/debugger -type f  | xargs chmod -x
#chmod -x ./xemacs-packages/etc/jde/java/src/jde/debugger/command/Suspend.java
#chmod -x ./xemacs-packages/etc/jde/java/src/jde/debugger/Rep.java
#chmod -x ./xemacs-packages/etc/jde/java/src/jde/debugger/command/Step.java
rm -rf ./xemacs-packages/etc/jde/java/src/jde/debugger

## for scratch build, we need to set ${EMACSLOADPATH}
for i in `find %{_builddir}/xemacs-sumo/{${XP},${MP}}/lisp -type d`; do
	EMACSLOADPATH=${i}:${EMACSLOADPATH}
done
export EMACSLOADPATH

# re-bytecompile edit-utils/lazy-lock.el
xemacs -vanilla -batch -f batch-byte-compile $XP/lisp/edit-utils/lazy-lock.el

# re-bytecompile mail-lib/browse-url.el
xemacs -vanilla -batch -f batch-byte-compile $XP/lisp/mail-lib/browse-url.el

# gzip *.el files
find . -type f -name "*.el" -print |
	while read file; do
		[ -s "${file}c" ] && echo "$file" && gzip -f9 "$file"
	done

%install

DIR=%{_datadir}/xemacs/mule-packages/etc/app-defaults
mkdir -p %{buildroot}%{_datadir}/xemacs

cp -a xemacs-packages %{buildroot}%{_datadir}/xemacs/
cp -a mule-packages %{buildroot}%{_datadir}/xemacs/
ln -sf C %{buildroot}$DIR/C/C
ln -sf C %{buildroot}$DIR/en_AU
ln -sf C %{buildroot}$DIR/en_CA
ln -sf C %{buildroot}$DIR/en_DK
ln -sf C %{buildroot}$DIR/en_GB
ln -sf C %{buildroot}$DIR/en_IE
ln -sf C %{buildroot}$DIR/en_RN
ln -sf C %{buildroot}$DIR/en_UK
ln -sf C %{buildroot}$DIR/en_US
ln -sf de %{buildroot}$DIR/de/de
ln -sf de %{buildroot}$DIR/de_AT
ln -sf de %{buildroot}$DIR/de_BE
ln -sf de %{buildroot}$DIR/de_CH
ln -sf de %{buildroot}$DIR/de_DE
ln -sf de %{buildroot}$DIR/de_LU
ln -sf fr %{buildroot}$DIR/fr_BE
ln -sf fr %{buildroot}$DIR/fr_CA
ln -sf fr %{buildroot}$DIR/fr_CH
ln -sf fr %{buildroot}$DIR/fr_FR
ln -sf fr %{buildroot}$DIR/fr_LU
ln -sf ja %{buildroot}$DIR/ja_JP
ln -sf ja %{buildroot}$DIR/ja_JP.ujis
ln -sf ja %{buildroot}$DIR/ja_JP.EUC
ln -sf ja %{buildroot}$DIR/ja_JP.EUC-JP
ln -sf ja %{buildroot}$DIR/ja_JP.eucJP
ln -sf ro %{buildroot}$DIR/ro_RO

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_datadir}/xemacs/xemacs-packages
%{_datadir}/xemacs/mule-packages

%changelog
* Tue May 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2006.05.10-2m)
- delete jde/debugger for avoid require perl(SuspendCount)

* Sun May 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2006.05.10-1m)
- update to 2006-05-10

* Sat Feb  4 2006 Kazuhiko <kazuhiko@fdiary.net>
- (2005.12.08-1m)
- version up

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2005.01.18-2m)
- elisps destination is moved from %{_libdir} to %{_datadir}.

* Thu Feb 10 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2005.01.18-1m)
  update to 2005-01-18

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2004.08.18-2m)
- enable x86_64.

* Wed Oct 06 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2004.08.18-1m)
- update to 2004-08-18

* Sat Sep  4 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2004.05.17-3m)
- remove riece

* Tue Aug 31 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2004.05.17-2m)
- chmod -x mkChangeLog.upstream to avoid requiring /bin/zsh

* Wed Jun  2 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2004.05.17-1m)
- verup

* Mon Feb 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2004.02.02-1m)

* Mon Nov 24 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2003.11.13-1m)
- update to 2003-11-13

* Wed Oct 15 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2003.10.03-1m)

* Wed Oct 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2003.08.31-1m)
- update to 2003-08-31

* Sun Jul 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2003.06.29-1m)
- update to 2003-06-29

* Tue Jul  1 2003 HOSONO Hidetomo <h12o@h12o.org>
- (2003.04.14-1m)
  ## do not change the release number
- correct misspelled strings (s/compiel/compile/g :) )

* Mon May 19 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2003.04.14-1m)
- update to 2003-04-14
- update Patch1: edit-utils_lazy-lock.patch

* Wed Feb 26 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2003.02.05-1m)
- update to 2003-02-05

* Tue Dec 31 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (2002.12.30-1m)
- update to 2002-12-30

* Thu Oct 17 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (2002.09.19-1m)
- update to 2002-09-19

* Sat Sep 28 2002 HOSONO Hidetomo <h@h12o.org>
- (2002.07.20-3m)
- use ${EMACSLOADPATH} to find libraries in the build tree

* Wed Aug 21 2002 Hidetomo Machi <mcht@momonga-linux.org>
- (2002.07.20-2m)
- remake patch1 and rename (edit-utils_lazy-lock.patch)
- new patch (mail-lib_browse-url.patch)
  this patch enables to handle mozilla new-tab option
  and can use that option in moziila is from mozilla-1.0-15m

* Wed Jul 24 2002 smbd <smbd@momonga-linux.org>
- (2002.07.20-1m)
- up to 2002-07-20

* Mon Jul  8 2002 junichiro Kita <kita@kitaj.no-ip.com>
- (2002.05.22-5m)
- remove mule-ucs

* Mon Jun  3 2002 Kazuhiko <kazuhiko@kondara.org>
- (2002.05.22-4k)
- remove liece
- cancel 'Obsoletes: and Provides: liece-xemacs'

* Sun May 26 2002 Hidetomo Machi <mcht@kondara.org>
- (2002.05.22-2k)
- update 2002-05-22 release

* Tue May  7 2002 Kazuhiko <kazuhiko@kondara.org>
- (2002.03.29-2k)
- Obsoletes: and Provides: liece-xemacs

* Sat Apr 27 2002 TABUCHI Takaaki <tab@kondara.org>
- (2002.03.29-2k)
- update 2002-03-29 release

* Thu Feb 07 2002 Toshiro HIKITA <toshi@sodan.org>
- (2002.01.19-2k)
- update 2002-01-19 release

* Tue Jan 15 2002 Kazuhiko <kazuhiko@kondara.org>
- (2001.12.16-2k)
- revise Emacs.ja
- use bzip2-compressed source files

* Mon Nov 12 2001 Hidetomo Machi <mcHT@kondara.org>
- (2001.09.29-10k)
- re-bytecompile lazy-lock.el X)

* Mon Nov 12 2001 Hidetomo Machi <mcHT@kondara.org>
- (2001.09.29-8k)
- add lazy-lock-save-buffer.patch
  see <stlmhduwhb.fsf@geo.f.axe-inc.co.jp> xemacs-beta-ja@xemacs.org

* Mon Nov  5 2001 Motonobu Ichimura <famao@kondara.org>
- (2001.09.29-6k)
- added symlink ja_JP.EUC-JP -> ja

* Thu Nov  1 2001 HOSONO Hidetomo <h@kondara.org>
- (2001.09.29-4k)
- let remove $XP/mew*.info* ($XP/info/mew: no such file!)

* Wed Oct 24 2001 Hidetomo Machi <mcHT@kondara.org>
- (2001.09.29-2k)
- update 2001-09-29 release

* Sun May 27 2001 Hidetomo Machi <mcHT@kondara.org>
- (2001.04.08-2k)
- import to Mary

* Sat Apr 28 2001 Toshiro HIKITA <toshi@sodan.org>
- (2001.04.08-3k)
- update 2001-02-04 release

* Tue Feb 20 2001 Hidetomo Machi <mcHT@kondara.org>
- (2001-02.04-4k)
- modify specfile

* Thu Feb  8 2001 Hidetomo Machi <mcHT@kondara.org>
- (2001.02.04-2k)
- update 2000-02-04 release

* Fri Nov 10 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- add BuildPreReq TAG

* Wed Oct 25 2000 Hidetomo Machi <mcHT@kondara.org>
- (2000.10.23-3k)
- modify specfile (License)

* Tue Oct 24 2000 Toshiro HIKITA <toshi@sodan.org>
- (2000.10.23-1k)
- Updated to xemacs-sumo-2000-10-23

* Wed Oct 18 2000 Toshiro HIKITA <toshi@sodan.org>
- (2000.09.04-5k)
- remove auctex
- remove gnus

* Thu Sep 29 2000 Toshiro HIKITA <toshi@sodan.org>
- (2000.09.04-3k)
- remove eicq

* Thu Sep 29 2000 Toshiro HIKITA <toshi@sodan.org>
- (2000.09.04-1k)
- Updated to Xemacs-sumo-2000.09.04

* Thu Aug 10 2000 Toru Hoshina <t@kondara.org>
- rebuild against xemacs 21.1.12.

* Fri Jul 10 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (2000.05.24-3k)
- rmail was removed

* Fri Jun 30 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (2000.05.24-2k)
- lookup and tm were removed
 
* Fri Mar 10 2000 Hidetomo Machi <mcHT@kondara.org>
- modified spec

* Tue Feb 21 2000 Hidetomo Machi <mcHT@kondara.org>
- remove mew,tm and skk
- add symlinks (look at /usr/lib/xemacs/mule-packages/etc/app-defaults/ )
- gzip *.el file

* Tue Jan 25 2000 Norihito Ohmori <nono@kondara.org>
- add symlink ja_JP.eucJP -> ja

* Wed Dec 29 1999 Toru Hoshina <t@kondara.org>
- No Requires xemacsen instead of xemacs :-P

* Fri Dec 17 1999 Akira Higuchi <a@kondara.org>
- Requires xemacsen instead of xemacs
